/{organizationId}/crm/proofs/types/{typeId}Gets a specific proof type with all of its details
Path Parameters
organizationIdstringrequired typeIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/crm/proofs/types/{typeId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
namestringrequired minLength: 1
maxLength: 40
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
maxItems: 20
totalintegerrequired minimum: 0
maximum: 9007199254740991
requiredintegerrequired minimum: 0
maximum: 9007199254740991
requestedintegerrequired minimum: 0
maximum: 9007199254740991
confirmedintegerrequired minimum: 0
maximum: 9007199254740991
dueintegerrequired minimum: 0
maximum: 9007199254740991
overdueintegerrequired minimum: 0
maximum: 9007199254740991
expiredintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"_id": "000000000000000000000001",
"name": "string",
"validity": {
"mode": "oneTime",
"interval": {
"value": 1,
"unit": "hours"
},
"dueBeforeDays": 2,
"overdueBeforeDays": 1
},
"requestMail": {
"subject": "string",
"message": "string"
},
"confirmationMail": {
"subject": "string",
"message": "string"
},
"requiredFields": [
"issuedAt"
],
"contactSegments": [
"string"
],
"total": 0,
"required": 0,
"requested": 0,
"confirmed": 0,
"due": 0,
"overdue": 0,
"expired": 0
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}